/*
 * ResourceNaming.java
 *
 * Created on April 3, 2007, 11:19 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package net.sf.sql2java.common.resources;

import net.sf.sql2java.utils.FileUtils;

/**
 *
 * @author dge2
 */
public class ResourceNaming {
    private StringBuffer result;
    
// -- Constructors ------------------------------------------------------------
    
    public ResourceNaming() {
        result = new StringBuffer();
    }
    
// -- Add to the results ------------------------------------------------------
    
    public ResourceNaming append(String toAppend) {
        if (toAppend.length() == 0) return this;
        
        if ((result.length() != 0) && (! result.toString().endsWith("/")))
            result.append("/");
        
        if (toAppend.startsWith("/"))
            toAppend = toAppend.substring(1);
        
        if (toAppend.contains("."))
            toAppend = FileUtils.convertClasspathToFilepath(toAppend);
                    
        result.append(toAppend);
        
        return this;
    }
    
    public ResourceNaming appendSeparator() {
        result.append("/");
        
        return this;
    }
    
// -- Getters -----------------------------------------------------------------
    
    public String getAsFilePath() {
        return result.toString();
    }
    
    public String getAsClassPath() {
        return FileUtils.convertFilepathToClasspath(result.toString());
    }
    
}
