package net.sf.sql2java.data.holders;

import net.sf.sql2java.data.node.BasicNodelet;

public class IndexColumn extends BasicNodelet {
	private static final long serialVersionUID = 1444574287684261270L;
	
	private Column column;
	private String sortSequence;
	private String filter;

// -- Constructors ------------------------------------------------------------
	
	public IndexColumn(Column column) {
		super("indexColumn", column.getName());
		
		this.column = column;
	}
	
// -- Getters -----------------------------------------------------------------
	
	public Column getColumn() {
		return column;
	}
	
	public String getSortSequence() {
		return sortSequence;
	}
	
	public String getFilter() {
		return filter;
	}
	
	public Index getIndex() {
		if (getParent() == null) return null;
		else return (Index) getParent();
	}
	
// -- Setters -----------------------------------------------------------------	

	public void setSortSequence(String sortSequence) {
		this.sortSequence = sortSequence;
	}
	
	public void setFilter(String filter) {
		this.filter = filter;
	}
}
